POST api/witnessapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

WitnessViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

id

globally unique identifier

None.

date_hu

date

None.

local_update

date

None.

site_id

globally unique identifier

Required

status

integer

None.

wash_count

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "2fa26b9f-0fc1-4fe9-871c-8edce985ca91",
  "date_hu": "2026-10-02T21:14:01.9220277+00:00",
  "local_update": "2026-10-02T21:14:01.9220277+00:00",
  "site_id": "7d8ff489-550c-496c-a6ab-552a0cc61d9c",
  "status": 1,
  "wash_count": 1
}

application/xml, text/xml

Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <date_hu>2026-10-02T21:14:01.9220277+00:00</date_hu>
  <id>2fa26b9f-0fc1-4fe9-871c-8edce985ca91</id>
  <local_update>2026-10-02T21:14:01.9220277+00:00</local_update>
  <site_id>7d8ff489-550c-496c-a6ab-552a0cc61d9c</site_id>
  <status>1</status>
  <wash_count>1</wash_count>
</witness>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"2647426a-fa03-4015-8dbe-eb44e4500f67"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2647426a-fa03-4015-8dbe-eb44e4500f67</guid>